Subject: Re: Can't build doc anymore (v1.7.3.2)

From: Francis Moreau <[email-masked]>
Date: Tue, 23 Nov 2010 10:05:24 +0100

Michael J Gruber <[email-masked]> writes:

> Francis Moreau venit, vidit, dixit 23.11.2010 08:50:
>> Drew Northup <[email-masked]> writes:
>> 
>> [...]
>
>> 
>>> Supposedly docbook-dtds-1.0-53.fc14 contains the files needed. I would
>>> check to make sure that your /usr/share/sgml/docbook/xmlcatalog file is
>>> correct. If it is it will contain a line an awful lot like the
>>> following:
>>> <public publicId="-//OASIS//DTD DocBook XML V4.5//EN" uri="xml-dtd-4.5/docbookx.dtd"/>
>> 
>> It doesn't seem so:
>> 
>>   $ cat /usr/share/sgml/docbook/xmlcatalog
>>   <?xml version="1.0"?>
>>   <!DOCTYPE catalog PUBLIC "-//OASIS//DTD Entity Resolution XML Catalog V1.0//EN" "http://www.oasis-open.org/committees/entity/release/1.0/catalog.dtd">
>>   <catalog xmlns="urn:oasis:names:tc:entity:xmlns:xml:catalog"/>
>> 
>> This file belongs to xml-common-0.6.3-33.fc14.noarch which sounds pretty
>> uptodate for a Fedora distribution.
>> 
>> Here's a list of some packages installed on my system that might be
>> relevant:
>> 
>>   asciidoc-8.4.5-5.fc14.noarch
>>   docbook-utils-0.6.14-26.fc14.noarch
>>   docbook-style-xsl-1.75.2-6.fc14.noarch
>>   docbook-style-dsssl-1.79-11.fc14.noarch
>>   docbook-dtds-1.0-53.fc14.noarch
>>   xml-commons-resolver-1.2-4.fc14.noarch
>>   xmlto-0.0.23-3.fc13.x86_64
>>   xmltex-20020625-16.fc13.noarch
>>   libxml2-devel-2.7.7-2.fc14.x86_64
>>   libxml2-python-2.7.7-2.fc14.x86_64
>>   libxml++-2.30.1-1.fc14.x86_64
>>   libxml2-2.7.7-2.fc14.i686
>>   libxml++-2.30.1-1.fc14.i686
>>   xml-common-0.6.3-33.fc14.noarch
>>   xml-commons-apis-1.4.01-1.fc13.noarch
>> 
>
> I have no problems building the doc on F14 with
>

Yes I think it's related to my config otherwise a lot of users would
have already complained.

>
> ASCIIDOC8=y
> ASCIIDOC_NO_ROFF=y
> DOCBOOK2X_TEXI=db2x_docbook2texi

I tried with these options but still fails

>
> in my config.mak (besides other stuff), with these versions:
>
> asciidoc-8.4.5-5.fc14.noarch
> docbook2X-0.8.8-7.fc14.x86_64
> docbook-dtds-1.0-53.fc14.noarch
> docbook-style-dsssl-1.79-11.fc14.noarch
> docbook-style-xsl-1.75.2-6.fc14.noarch
> docbook-utils-0.6.14-26.fc14.noarch
> libxml2-2.7.7-2.fc14.x86_64
> libxml++-2.32.0-1.fc14.x86_64
> libxml2-python-2.7.7-2.fc14.x86_64
> python-lxml-2.2.8-1.fc14.x86_64
> xml-common-0.6.3-33.fc14.noarch
> xmlto-0.0.23-3.fc13.x86_64
>
> (libxml is irrelevant)
>
> Are you sure you have no other xmlto (type -a xmlto)

  $ type -a xmlto
  xmlto is /usr/bin/xmlto

  $ rpm -qf /usr/bin/xmlto
  xmlto-0.0.23-3.fc13.x86_64

> and no tinkering with the default style sheet config?

Well I've never played with that since I've no idea of what it's.

Thanks
-- 
Francis